## ros-noetic-plotjuggler 3.6.0

=== 3rdparty/QCodeEditor/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)
project(QCodeEditor)

set(CMAKE_CXX_STANDARD 11)

set(RESOURCES_FILE
    resources/qcodeeditor_resources.qrc
)

set(INCLUDE_FILES
    include/QHighlightRule
    include/QHighlightBlockRule
    include/QCodeEditor
    include/QCXXHighlighter
    include/QLineNumberArea
    include/QStyleSyntaxHighlighter
    include/QSyntaxStyle
    include/QGLSLCompleter
    include/QGLSLHighlighter
    include/QLanguage
    include/QXMLHighlighter
    include/QJSONHighlighter
    include/QLuaCompleter
    include/QLuaHighlighter
    include/QPythonHighlighter
    include/QFramedTextAttribute
    include/internal/QHighlightRule.hpp
    include/internal/QHighlightBlockRule.hpp
    include/internal/QCodeEditor.hpp
    include/internal/QCXXHighlighter.hpp
    include/internal/QCSVHighlighter.hpp
    include/internal/QLineNumberArea.hpp
    include/internal/QStyleSyntaxHighlighter.hpp
    include/internal/QSyntaxStyle.hpp
    include/internal/QGLSLCompleter.hpp
    include/internal/QGLSLHighlighter.hpp
    include/internal/QLanguage.hpp
    include/internal/QXMLHighlighter.hpp
    include/internal/QJSONHighlighter.hpp
    include/internal/QLuaCompleter.hpp
    include/internal/QLuaHighlighter.hpp
    include/internal/QPythonCompleter.hpp
    include/internal/QPythonHighlighter.hpp
    include/internal/QFramedTextAttribute.hpp
)

set(SOURCE_FILES
    src/internal/QCodeEditor.cpp
    src/internal/QLineNumberArea.cpp
    src/internal/QCXXHighlighter.cpp
    src/internal/QCSVHighlighter.cpp
    src/internal/QSyntaxStyle.cpp
    src/internal/QStyleSyntaxHighlighter.cpp
    src/internal/QGLSLCompleter.cpp
    src/internal/QGLSLHighlighter.cpp
    src/internal/QLanguage.cpp
    src/internal/QXMLHighlighter.cpp
    src/internal/QJSONHighlighter.cpp
    src/internal/QLuaCompleter.cpp
    src/internal/QLuaHighlighter.cpp
    src/internal/QPythonCompleter.cpp
    src/internal/QPythonHighlighter.cpp
    src/internal/QFramedTextAttribute.cpp
)

# Create code for QObjects
set(CMAKE_AUTOMOC On)

# Create code from resource files
set(CMAKE_AUTORCC ON)

# Find includes in corresponding build directories
find_package(Qt5Core    CONFIG REQUIRED)
find_package(Qt5Widgets CONFIG REQUIRED)
find_package(Qt5Gui     CONFIG REQUIRED)

add_library(QCodeEditor STATIC
    ${RESOURCES_FILE}
    ${SOURCE_FILES}
    ${INCLUDE_FILES}
)

target_include_directories(QCodeEditor PUBLIC
    include
)

if(CMAKE_COMPILER_IS_GNUCXX)
    target_compile_options(QCodeEditor
		PRIVATE
		-ansi
		-pedantic
		-Wall
		-Wextra
		-Weffc++
		-Woverloaded-virtual
		-Winit-self
		-Wunreachable-code
	)
endif(CMAKE_COMPILER_IS_GNUCXX)

target_link_libraries(QCodeEditor
    Qt5::Core
    Qt5::Widgets
    Qt5::Gui
)

=== 3rdparty/lua-5.4.3/CMakeLists.txt ===
set(LUA_LIB_SRCS 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lapi.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lcode.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lctype.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/ldebug.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/ldo.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/ldump.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lfunc.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lgc.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/llex.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lmem.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lobject.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lopcodes.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lparser.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lstate.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lstring.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/ltable.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/ltm.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lundump.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lvm.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lzio.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lauxlib.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lbaselib.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lcorolib.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/ldblib.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/liolib.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lmathlib.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/loslib.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lstrlib.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/ltablib.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lutf8lib.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/loadlib.c 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/linit.c
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lua.c)
set(LUA_LIB_INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/src)

add_compile_options(-fPIC)

add_library(lua_static STATIC ${LUA_LIB_SRCS})
target_include_directories(lua_static PUBLIC ${LUA_LIB_INCLUDE})

if ( NOT WIN32 )
    set(LUA_DEFINITIONS LUA_USE_POSIX)
endif()

if(EMSCRIPTEN)
    unset(LUA_DEFINITIONS)
endif()
target_compile_definitions(lua_static PUBLIC ${LUA_DEFINITIONS})

=== plotjuggler_plugins/DataStreamMQTT/CMakeLists.txt ===

if(BUILDING_WITH_VCPKG)
    message(STATUS "Finding MOSQUITTO with vcpkg")
    find_package(mosquitto CONFIG REQUIRED)
    set(MOSQUITTO_FOUND ON)
elseif(BUILDING_WITH_CONAN)
    message(STATUS "Finding MOSQUITTO with conan")
    find_package(mosquitto CONFIG REQUIRED)
    set(MOSQUITTO_FOUND ON)
else()
    message(STATUS "Finding MOSQUITTO without package managers")
    list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/")
    find_package(Mosquitto REQUIRED)
endif()

if(MOSQUITTO_FOUND)

    message(STATUS "[MOSQUITTO] found.")
    add_definitions(${QT_DEFINITIONS})
    add_definitions(-DQT_PLUGIN)

    QT5_WRAP_UI ( UI_SRC  datastream_mqtt.ui  )

    SET( SRC
        datastream_mqtt.h
        datastream_mqtt.cpp
        mqtt_dialog.h
        mqtt_dialog.cpp
        mqtt_client.h
        mqtt_client.cpp
        )

    add_library(DataStreamMQTT_Mosquitto SHARED ${SRC} ${UI_SRC}  )

    target_link_libraries(DataStreamMQTT_Mosquitto
        ${Qt5Widgets_LIBRARIES}
        Qt5::Network
        Qt5::Svg
        ${MOSQUITTO_LIBRARIES}
        plotjuggler_base
        )
    target_include_directories(DataStreamMQTT_Mosquitto
        PUBLIC ${MOSQUITTO_INCLUDE_DIR})

    install(TARGETS DataStreamMQTT_Mosquitto
        DESTINATION ${PJ_PLUGIN_INSTALL_DIRECTORY}  )

else()
    message("[MOSQUITTO] not found. Skipping plugin DataStreamMQTT.")
endif()

=== plotjuggler_plugins/DataStreamUDP/CMakeLists.txt ===

include_directories( ../ )

add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_PLUGIN)

QT5_WRAP_UI ( UI_SRC  udp_server.ui  )

SET( SRC udp_server.cpp )

add_library(DataStreamUDP SHARED ${SRC} ${UI_SRC}  )

target_link_libraries(DataStreamUDP
    ${Qt5Widgets_LIBRARIES}
    Qt5::Network
    plotjuggler_base
    )

install(TARGETS DataStreamUDP DESTINATION ${PJ_PLUGIN_INSTALL_DIRECTORY}  )

=== plotjuggler_plugins/ToolboxFFT/CMakeLists.txt ===

include_directories( ../ )

add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_PLUGIN)

add_subdirectory(KissFFT)

QT5_WRAP_UI ( UI_SRC
    toolbox_FFT.ui
    )

add_library(ToolboxFFT SHARED
    toolbox_FFT.cpp
    toolbox_FFT.h
    ${UI_SRC}  )

target_link_libraries(ToolboxFFT
    ${Qt5Widgets_LIBRARIES}
    ${Qt5Xml_LIBRARIES}
    kissfft
    plotjuggler_base
    plotjuggler_qwt)

install(TARGETS ToolboxFFT DESTINATION ${PJ_PLUGIN_INSTALL_DIRECTORY}  )

=== debian/changelog ===
ros-noetic-plotjuggler (3.6.0-1buster) buster; urgency=high

  * More memes
  * Refactoring of the MessageParser plugins
  * Mcap support (#722 <https://github.com/facontidavide/PlotJuggler/issues/722>)
  * Improve CSV loader error handling (#721 <https://github.com/facontidavide/PlotJuggler/issues/721>)
  * Fix plotwidget drag and drop bug (Issue #716 <https://github.com/facontidavide/PlotJuggler/issues/716>) (#717 <https://github.com/facontidavide/PlotJuggler/issues/717>)
  * fix(snap): remove yaml grade (#718 <https://github.com/facontidavide/PlotJuggler/issues/718>)
    grade is set from the part
    YAML grade has priority over the programmed one so we remove it
  * Contributors: Bartimaeus-, Davide Faconti, Guillaume Beuzeboc

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 12 Aug 2022 22:00:00 -0000

ros-noetic-plotjuggler (3.5.2-1buster) buster; urgency=high

  * fix issue #642 <https://github.com/facontidavide/PlotJuggler/issues/642>
  * fix FFT toolbox
  * Add options for enabling/disabling autozoom in preferences (#704 <https://github.com/facontidavide/PlotJuggler/issues/704>)
  * add support for custom window titles (#715 <https://github.com/facontidavide/PlotJuggler/issues/715>)
  * Fix/snap rosbag (#714 <https://github.com/facontidavide/PlotJuggler/issues/714>)
  * fix mosquitto build in linux
  * Better cmake (#710 <https://github.com/facontidavide/PlotJuggler/issues/710>)
  * fix #707 <https://github.com/facontidavide/PlotJuggler/issues/707>
  * better installation instructions
  * fix(snap): reapply changes remove by the merge of main (#703 <https://github.com/facontidavide/PlotJuggler/issues/703>)
  * save ColorMaps in layout
  * Contributors: Bartimaeus-, Davide Faconti, Guillaume Beuzeboc, grekiki

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 04 Aug 2022 22:00:00 -0000

ros-noetic-plotjuggler (3.5.1-1buster) buster; urgency=high

  * Dev/ros1 ros2 snap (#698 <https://github.com/facontidavide/PlotJuggler/issues/698>)
  * update nlohmann json to fix #640 <https://github.com/facontidavide/PlotJuggler/issues/640>
  * should prevent error #696 <https://github.com/facontidavide/PlotJuggler/issues/696>
  * Merge branch 'improved_zoomout' into main
  * cleanup after #702 <https://github.com/facontidavide/PlotJuggler/issues/702>
  * Statistics dialog improvements and bug fixes (#702 <https://github.com/facontidavide/PlotJuggler/issues/702>)
  * Include std::thread instead of QThread, since it is being utilized in the mqtt plugin instead of QThread. (#700 <https://github.com/facontidavide/PlotJuggler/issues/700>)
  * fix zmq compilation
  * cherry picking from #698 <https://github.com/facontidavide/PlotJuggler/issues/698>
  * increase playback step precision (#692 <https://github.com/facontidavide/PlotJuggler/issues/692>)
  * Fix typo in ColorMap warning (#693 <https://github.com/facontidavide/PlotJuggler/issues/693>)
  * Set buttonBackground icon in .ui file (#694 <https://github.com/facontidavide/PlotJuggler/issues/694>)
  * Update README.md
  * Fix #697 <https://github.com/facontidavide/PlotJuggler/issues/697>
  * update sol2 and fix #687 <https://github.com/facontidavide/PlotJuggler/issues/687>
  * try to improve the linked zoomout
  * Contributors: Bartimaeus-, Davide Faconti, Guillaume Beuzeboc, Hugal31, ozzdemir

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 24 Jul 2022 22:00:00 -0000

ros-noetic-plotjuggler (3.5.0-1buster) buster; urgency=high

  * license changed to MPL 2.0
  * Macos ci (#685 <https://github.com/facontidavide/PlotJuggler/issues/685>)
  * Add CSV table preview and CSV highlighting (#680 <https://github.com/facontidavide/PlotJuggler/issues/680>)
    * Add CSV table preview and CSV highlighting
    * add toggles for enabling CSV table view and syntax highlighting
  * Fix start/end time bug in CSV Exporter (#682 <https://github.com/facontidavide/PlotJuggler/issues/682>)
  * Add tooltips to CSV publisher buttons (#683 <https://github.com/facontidavide/PlotJuggler/issues/683>)
    -Add tooltips to the buttons that set the start/end time based on vertical time tracker position
    -add missing space in text ("timerange" to "time range")
  * Fix #415 <https://github.com/facontidavide/PlotJuggler/issues/415>
  * add statistics
  * Add background editor
  * fix crash in Parquet plugin
  * Add line numbers to csv loader (#679 <https://github.com/facontidavide/PlotJuggler/issues/679>)
  * Fix type-o in reactive script editor (#678 <https://github.com/facontidavide/PlotJuggler/issues/678>)
    missing "r" in "ScatterXY"
  * Contributors: Bartimaeus-, Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 11 Jul 2022 22:00:00 -0000

ros-noetic-plotjuggler (3.4.5-1buster) buster; urgency=high

  * fix compilation
  * add QCodeEditor
  * CI: cmake ubuntu/Windows
  * Fix CSV generated time axis. (#666 <https://github.com/facontidavide/PlotJuggler/issues/666>)
    Previously the CSV dataload plugin was not saving the correct XML state
    when a generated time axis was used.
  * Added support for converted int types (#673 <https://github.com/facontidavide/PlotJuggler/issues/673>)
    * Added support for converted int types
    * Added fallback for int32 and int64
    Co-authored-by: Rano Veder <mailto:r.veder@primevision.com>
  * Add tooltip to the zoom out button (#670 <https://github.com/facontidavide/PlotJuggler/issues/670>)
  * PlotJuggler will generate its own cmake target
  * Parquet plugin (#664 <https://github.com/facontidavide/PlotJuggler/issues/664>)
  * fix Cancel button in CSV loader (#659 <https://github.com/facontidavide/PlotJuggler/issues/659>)
  * Make tutorial link open in browser when clicked (#660 <https://github.com/facontidavide/PlotJuggler/issues/660>)
    Similar to https://github.com/facontidavide/PlotJuggler/pull/658 but applied to the tutorial link in the reactive lua editor
  * accept white lines in CSV
  * Update README.md (#661 <https://github.com/facontidavide/PlotJuggler/issues/661>)


=== debian/control ===
Source: ros-noetic-plotjuggler
Section: misc
Priority: optional
Maintainer: Davide Faconti <davide.faconti@gmail.com>
Build-Depends: debhelper (>= 9.0.0), binutils-dev, libboost-all-dev, liblz4-dev, libqt5opengl5-dev, libqt5svg5-dev, libqt5websockets5-dev, libqt5x11extras5-dev, libzmq3-dev, libzstd-dev, qtbase5-dev, ros-noetic-catkin, ros-noetic-roscpp, ros-noetic-roslib
Homepage: https://github.com/facontidavide/PlotJuggler
Standards-Version: 3.9.2

Package: ros-noetic-plotjuggler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils-dev, libboost-all-dev, liblz4-dev, libqt5opengl5-dev, libqt5svg5-dev, libqt5websockets5-dev, libqt5x11extras5-dev, libzmq3-dev, libzstd-dev, qtbase5-dev, ros-noetic-roscpp, ros-noetic-roslib
Description: PlotJuggler: juggle with data

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-plotjuggler//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-plotjuggler 3.7.1

=== 3rdparty/lua-5.4.3/CMakeLists.txt ===
--- 
+++ 
@@ -31,13 +31,18 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/src/lutf8lib.c 
     ${CMAKE_CURRENT_SOURCE_DIR}/src/loadlib.c 
     ${CMAKE_CURRENT_SOURCE_DIR}/src/linit.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/src/lua.c)
+    )
 set(LUA_LIB_INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/src)
 
 add_compile_options(-fPIC)
 
-add_library(lua_static STATIC ${LUA_LIB_SRCS})
+add_library(lua_static STATIC
+    ${LUA_LIB_SRCS}
+    ${CMAKE_CURRENT_SOURCE_DIR}/src/lua.c
+)
 target_include_directories(lua_static PUBLIC ${LUA_LIB_INCLUDE})
+
+add_library(lua_objects OBJECT ${LUA_LIB_SRCS})
 
 if ( NOT WIN32 )
     set(LUA_DEFINITIONS LUA_USE_POSIX)

=== plotjuggler_plugins/ParserDataTamer/CMakeLists.txt ===

add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_PLUGIN)


add_library(ParserDataTamer SHARED
    datatamer_parser.cpp
    datatamer_parser.h )

target_link_libraries(ParserDataTamer
    ${Qt5Widgets_LIBRARIES}
    plotjuggler_base)


install(TARGETS ParserDataTamer
    DESTINATION ${PJ_PLUGIN_INSTALL_DIRECTORY}  )

=== debian/changelog ===
ros-noetic-plotjuggler (3.7.1-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Davide Faconti <davide.faconti@gmail.com>  Tue, 23 May 2023 11:09:06 -0000

ros-noetic-plotjuggler (3.7.0-1focal) focal; urgency=high

  * Handle protobuf maps (#824 <https://github.com/facontidavide/PlotJuggler/issues/824>)
    Protobuf maps are just repeated protobuf messages with only 2 fields
    "key" and "value". Extract the map's key and use it in the series name
    and skip adding series for "key" fields to reduce the number of non
    useful series. Additionally don't include "value" in the series name for
    the value of a map.
  * add progress dialog to MCAP loading
  * new plugin: DataTamer parser
  * performance optimization in pushBack
  * more information in MCAP error
  * optimization in MoveData
  * address #820 <https://github.com/facontidavide/PlotJuggler/issues/820>
  * Prevent runtime_error exceptions from plugins crashing the main app (#812 <https://github.com/facontidavide/PlotJuggler/issues/812>)
    Catch runtime_error exceptions thrown from the plugins and skip the throwing plugins, so that the main app can continue its normal operation.
  * fix(snap): add libzstd for mcap support (#815 <https://github.com/facontidavide/PlotJuggler/issues/815>)
  * Update README.md
  * Add a "central difference" method of derivative calculation (#813 <https://github.com/facontidavide/PlotJuggler/issues/813>)
  * Updating COMPILE dependencies to install (#810 <https://github.com/facontidavide/PlotJuggler/issues/810>)
    Taken from CI: https://github.com/facontidavide/PlotJuggler/blob/main/.github/workflows/ubuntu.yaml#L20-L31
  * Fix the bug where the shared library Parquet is not linked (#807 <https://github.com/facontidavide/PlotJuggler/issues/807>)
    The actual path to the shared library is in ${PARQUET_SHARED_LIB} instead of in
    ${PARQUET_LIBRARIES}.
  * Add CMake into comp vars and minor format improvements (#804 <https://github.com/facontidavide/PlotJuggler/issues/804>)
    Co-authored-by: Erick G. Islas Osuna <mailto:eislasosuna@netflix.com>
  * Fix for missing preferences (#795 <https://github.com/facontidavide/PlotJuggler/issues/795>)
  * fix typos in "tips and tricks" cheatsheet (#798 <https://github.com/facontidavide/PlotJuggler/issues/798>)
    fix a couple of minor typos in dialog text
  * Support Proto's That Reference Google/Protobuf (#793 <https://github.com/facontidavide/PlotJuggler/issues/793>)
  * Fix for segfault in DataLoadCSV destructor (#784 <https://github.com/facontidavide/PlotJuggler/issues/784>)
    - Change order of deletion for dialogs.
    - First delete child dialog _dateTime_dialog then parent
    _dialog.
  * Add CodeQL workflow (#765 <https://github.com/facontidavide/PlotJuggler/issues/765>)
  * [bugfix] String deserialization (#780 <https://github.com/facontidavide/PlotJuggler/issues/780>)
  * forgot throw
  * fixing nan check (#777 <https://github.com/facontidavide/PlotJuggler/issues/777>)
  * Update Reactive Scripts on playback loop (#771 <https://github.com/facontidavide/PlotJuggler/issues/771>)
  * fix
  * Contributors: Alistair, AndyZe, Bartimaeus-, Connor Anderson, Davide Faconti, Erick G. Islas-Osuna, Guillaume Beuzeboc, Mark Cutler, Michael Orlov, Peter Stöckli, Sam Pfeiffer, Zach Davis, Zheng Qu, augustinmanecy, ozzdemir

 -- Davide Faconti <davide.faconti@gmail.com>  Thu, 18 May 2023 22:00:00 -0000

ros-noetic-plotjuggler (3.6.1-1focal) focal; urgency=high

  * apply changes suggested in #767 <https://github.com/facontidavide/PlotJuggler/issues/767>
  * fix parsing of custom types added multiple times in messages (#769 <https://github.com/facontidavide/PlotJuggler/issues/769>)
  * ZMQ: Add topics filtering (#730 <https://github.com/facontidavide/PlotJuggler/issues/730>)
  * Add CSV loader date-time format help dialog (#731 <https://github.com/facontidavide/PlotJuggler/issues/731>)
  * Set MQTT topics list to be multi-selectable (#745 <https://github.com/facontidavide/PlotJuggler/issues/745>)
  * Always use topic names for creating MQTT parsers (#746 <https://github.com/facontidavide/PlotJuggler/issues/746>)
  * fix typo (#770 <https://github.com/facontidavide/PlotJuggler/issues/770>)
  * Fix/add other dds vendors (#763 <https://github.com/facontidavide/PlotJuggler/issues/763>)
  * Add option to build plotjuggler_base to shared library (#757 <https://github.com/facontidavide/PlotJuggler/issues/757>)
  * Add a new meme with The Rock (#751 <https://github.com/facontidavide/PlotJuggler/issues/751>)
  * Add precision to CSV export to handle geocoordinates (#753 <https://github.com/facontidavide/PlotJuggler/issues/753>)
  * compile: add cmake to brew install (#742 <https://github.com/facontidavide/PlotJuggler/issues/742>)
  * Add MIT license notice to QCodeEditor dddition (#733 <https://github.com/facontidavide/PlotJuggler/issues/733>)
    Added per https://github.com/facontidavide/PlotJuggler/issues/732
  * Fix multi-plugin selection (#739 <https://github.com/facontidavide/PlotJuggler/issues/739>)
    Broken in #726 <https://github.com/facontidavide/PlotJuggler/issues/726>. If all plugins are enabled, then opening a file supported by multiple plugins does not work.
  * 
    
      * Add drag n drop (#726 <https://github.com/facontidavide/PlotJuggler/issues/726>)
      * Ignore VSCode and OS X files
    
  * readme: add details about default snap command (#727 <https://github.com/facontidavide/PlotJuggler/issues/727>)
  * Add mac compilation section (#725 <https://github.com/facontidavide/PlotJuggler/issues/725>)
  * Update README.md (#723 <https://github.com/facontidavide/PlotJuggler/issues/723>)
    minor typos
  * Update README.md
  * Update COMPILE.md
  * Contributors: Andrew Van Overloop, Bartimaeus-, Bonkura, Davide Faconti, Guillaume Beuzeboc, Jeff Ithier, Jeremie Deray, Mark Cutler, Orhan G. Hafif, Romain Reignier, Zach Davis
